From 20 April 2015, Google will no longer support Youtube apps using YouTube API v2.0. You can find out more via this official statement from Google.

This change will affect older versions of HWDMediaShare software which use API v2.0. Users may experience lack of functionality, or encounter notices about device support in their videos (such as the one shown above).

 

Update HWD Software

To resolve problems with Youtube functionality caused by the recent changes, update your HWD software to the latest versions.

All our current releases use the YouTube Data API v3, and are not affected.

 

Wider Implications

The recent changes have significant impacts on large technology companies such as Apple and Sony, for which older devices will no longer be able to display videos through Youtube apps.

 

17/06/2015 Update: API v2 now completely shutdown

The Youtube API v2.0 has now been completely shutdown. Attempts to request data from the API will result in a 410 Gone error, and no Youtube data will be returned. User who have not updated to the latest HWD software will see error messages similar to the following. 

Warning: DOMDocument::load(http://gdata.youtube.com/feeds/api/standardfeeds/top_rated?v=2&max-results=20) [domdocument.load]: failed to open stream: HTTP request failed! HTTP/1.0 410 Gone in /modules/mod_hwd_youtube_videobox/helper.php on line 43